Subject: [Isis-wg] Changes for Last Call

From: "Parker, Jeff" <[email-masked]>
Date: Tue, 14 Jun 2005 18:24:34 -0400

I have run through the suggestions from Last call, and I have made an
initial draft which I would be happy to circulate to interested parties.

Here are the changes
    1) Combine the various flavors of L1, L2, L1L2 into one type
        and change some terms, as per requests.
    2) Changed Integer32 to Unsigned32 throughout
    3) Changed Syntax of *UpTime to TimeStamp
    4) Attempted to clarify interaction between circuit level
        and system level.  The goal is to allow a circuit level
        to retain an value that may not match the current system level
        so that values can survive administrator setting L1L2 System
        to L1 to clear some issue and return to L1L2.
    5) Remove reference to RFC 2863 in AdminState
    6) Added text to try to clarify interaction between
        isisSysLevelSetOverload and isisSysLevelSetOverloadUntil
        per request
    7) Add RFC numbers to MIB names

There are a couple of issues remaining.
    
    A) Wide counters (see previous mail)
    B) Counter behavior around discontinuity.
    C) Text for isisCircIfSubSelector.
    D) Do we need to turn off notifications?

Any opinions or contributions on these topics are welcome.

I'd be happy to send a copy of the MIB or the draft off-line to anyone
interested.  Diffs in the MIB portion are below.

- jeff parker

=================
 
myrmidon:~/MIB jeff$ diff mib.20 mib
3,4c3,4
<         TEXTUAL-CONVENTION, RowStatus, TruthValue
<                 FROM SNMPv2-TC
---
>         TEXTUAL-CONVENTION, RowStatus, TruthValue, TimeStamp
>                 FROM SNMPv2-TC               -- RFC2579
6,7c6,7
<             Integer32, Unsigned32, Counter32, mib-2
<                 FROM SNMPv2-SMI
---
>             Unsigned32, Counter32, mib-2
>                 FROM SNMPv2-SMI              -- RFC2578
9c9
<                 FROM SNMPv2-CONF
---
>                 FROM SNMPv2-CONF             -- RFC2580
11c11
<                 FROM SNMP-FRAMEWORK-MIB
---
>                 FROM SNMP-FRAMEWORK-MIB      -- RFC2571
13c13
<                 FROM DIFFSERV-MIB
---
>                 FROM DIFFSERV-MIB            -- RFC3289
15c15
<                 FROM IF-MIB
---
>                 FROM IF-MIB                  -- RFC2863
17c17
<                 FROM INET-ADDRESS-MIB;
---
>                 FROM INET-ADDRESS-MIB;       -- RFC3291
125,126c125
<             "Type used in enabling and disabling a row.
<              Values match those in RFC 2863."
---
>             "Type used in enabling and disabling a row."
138c137
<         SYNTAX Integer32 (512..16000)
---
>         SYNTAX Unsigned32 (512..16000)
172c171
<         SYNTAX Integer32 (0..63)
---
>         SYNTAX Unsigned32 (0..63)
222c221
<     IsisAdjLevel ::= TEXTUAL-CONVENTION
---
>     IsisLevel ::= TEXTUAL-CONVENTION
250c249
<         SYNTAX Integer32 (0..127)
---
>         SYNTAX Unsigned32 (0..127)
312,317c311
<         SYNTAX INTEGER
<             {
<                 level1IS (1),
<                 level2IS (2),
<                 level1L2IS (3)
<             }
---
>         SYNTAX IsisLevel
326c320
<         DEFVAL { level1L2IS }
---
>         DEFVAL { level1and2 }
346c340
<         SYNTAX Integer32 (1..32)
---
>         SYNTAX Unsigned32 (1..32)
359c353
<         SYNTAX Integer32 (1..65235)
---
>         SYNTAX Unsigned32 (1..65235)
526,527c520,521
<              an attempt is made to set this object to the value 'destroy'
<              or 'notInService' when this is the only
---
>              an attempt is made to set this object to the value
>              'destroy' or 'notInService' when this is the only
1014c1008,1012
<              isisSysLevelSetOverload object."
---
>              isisSysLevelSetOverload object.
> 
>              If isisSysLevelSetOverload is false, the system clears
>              the overload bit when isisSysLevelSetOverloadUntil
>              jave elapsed, if the system has not run out of memory."
1106c1104
<                 Integer32,
---
>                 Unsigned32,
1115,1116c1113,1114
<             isisCircLevel
<                 INTEGER,
---
>             isisCircLevelType
>                 IsisLevel,
1126c1124
<                 Unsigned32,
---
>                 TimeStamp,
1158c1156
<         SYNTAX Integer32
---
>         SYNTAX Unsigned32
1226,1232c1224,1225
<     isisCircLevel OBJECT-TYPE
<         SYNTAX INTEGER
<             {
<                 level1(1),
<                 level2(2),
<                 level1L2(3)
<             }
---
>     isisCircLevelType OBJECT-TYPE
>         SYNTAX IsisLevel
1237,1240c1230,1237
<              accepted on this circuit. The values used will be
<              modified by the settings of isisSysType. This
<              object follows the replaceOnlyWhileDisabled behavior."
<         DEFVAL { level1L2 }
---
>              accepted on this circuit. The values set will be
>              saved, but the values used will be modified by
>              the settings of isisSysType. Thus if the
>              isisSysTpe is level2 and the isisCircLevelType
>              for a circuit is level1, the circuit will not send
>              or receive IS-IS packets.  This object follows the
>              replaceOnlyWhileDisabled behavior."
>         DEFVAL { level1and2 }
1299,1300c1296
<         SYNTAX Unsigned32
<         UNITS "Seconds since startup when this circuit was last 'on'"
---
>         SYNTAX TimeStamp
1366c1362
<                 Integer32,
---
>                 Unsigned32,
1372c1368
<                 Integer32,
---
>                 Unsigned32,
1374c1370
<                 Integer32,
---
>                 Unsigned32,
1376c1372
<                 Integer32,
---
>                 Unsigned32,
1380c1376
<                 Integer32,
---
>                 Unsigned32,
1382c1378
<                 Integer32,
---
>                 Unsigned32,
1384c1380
<                 Integer32
---
>                 Unsigned32
1426c1422
<         SYNTAX Integer32(0..255)
---
>         SYNTAX Unsigned32(0..255)
1477c1473
<         SYNTAX Integer32 (2..100)
---
>         SYNTAX Unsigned32 (2..100)
1490c1486
<         SYNTAX Integer32 (10..600000)
---
>         SYNTAX Unsigned32 (10..600000)
1508c1504
<         SYNTAX Integer32 (10..120000)
---
>         SYNTAX Unsigned32 (10..120000)
1535c1531
<         SYNTAX Integer32 (1..300)
---
>         SYNTAX Unsigned32 (1..300)
1552c1548
<         SYNTAX Integer32 (1..600)
---
>         SYNTAX Unsigned32 (1..600)
1567c1563
<         SYNTAX Integer32 (1..120)
---
>         SYNTAX Unsigned32 (1..120)
2114c2110
<                 IsisAdjLevel,
---
>                 IsisLevel,
2120c2116
<                 Unsigned32
---
>                 TimeStamp
2211c2207
<         SYNTAX IsisAdjLevel
---
>         SYNTAX IsisLevel
2245,2246c2241
<         SYNTAX Unsigned32
<         UNITS "Seconds since startup when Adjacency was last up"
---
>         SYNTAX TimeStamp
3137c3132
<         SYNTAX IsisAdjLevel
---
>         SYNTAX IsisLevel
3145c3140
<         SYNTAX Integer32 (1..2147483647)
---
>         SYNTAX Unsigned32 (1..2147483647)
3198c3193
<         SYNTAX Integer32 (0..2147483647)
---
>         SYNTAX Unsigned32 (0..2147483647)
3694,3695c3689,3690
<              related objects, are expressed below in pseudo-
<              OBJECT clause form in this description:
---
>              related objects, are expressed below in
>              pseudo-OBJECT clause form in this description:
3743,3744c3738,3739
<              related objects, are expressed below in pseudo-
<              OBJECT clause form in this description:
---
>              related objects, are expressed below in
>              pseudo-OBJECT clause form in this description:
3806,3809c3801,3804
<                "When this MIB is implemented without support for read-
<                 create (i.e. in read-only mode), the implementation can
<                 claim read-only compliance.  Such a device can then be
<                 monitored but can not be configured with this MIB."
---
>                "When this MIB is implemented without support for
>                 read-create (i.e. in read-only mode), the implementation
>                 can claim read-only compliance.  Such a device can then
>                 be monitored but can not be configured with this MIB."
3952c3947
<        OBJECT isisCircLevel
---
>        OBJECT isisCircLevelType
4102a4098
>             isisCircLevelType,
4112d4107
<             isisCircLevel,

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg